<#function artifactFormat p>
   <#local result = "<dependency><groupId>" + p.groupId + "</groupId><artifactId>" + p.artifactId + "</artifactId><version>" +
   p.version + "</version><licenses>"/>
   <#local count = 0/>
   <#list p.licenses as license>
      <#if license.name?has_content>
         <#local result = result + "<license><name>" + (license.name!"no name defined") + "</name><url>" + (license.url!"no url defined") +
         "</url><distribution>" + (license.distribution!"repo") + "</distribution></license>"/>
         <#local count = 1/>
      </#if>
   </#list>
   <#if count &gt; 0>
      <#return result + "</licenses></dependency>\n">
   </#if>
   <#return ""/>
</#function>

<#if dependencyMap?size == 0>
The project has no dependencies.
<#else>
   <#list dependencyMap as e>
      <#assign project = e.getKey()/>
   ${artifactFormat(project)}
   </#list>
</#if>

